<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>AbstractNativeCompileTask (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="AbstractNativeCompileTask (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativePCHCompileTask.html" title="class in org.gradle.language.nativeplatform.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html" target="_top">Frames</a></li>
<li><a href="AbstractNativeCompileTask.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.language.nativeplatform.tasks</div>
<h2 title="Class AbstractNativeCompileTask" class="title">Class AbstractNativeCompileTask</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.AbstractTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">org.gradle.api.DefaultTask</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.language.nativeplatform.tasks.AbstractNativeCompileTask</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, <a href="../../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>, <a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>, org.gradle.util.Configurable&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativePCHCompileTask.html" title="class in org.gradle.language.nativeplatform.tasks">AbstractNativePCHCompileTask</a>, <a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeSourceCompileTask.html" title="class in org.gradle.language.nativeplatform.tasks">AbstractNativeSourceCompileTask</a>, <a href="../../../../../org/gradle/language/swift/tasks/SwiftCompile.html" title="class in org.gradle.language.swift.tasks">SwiftCompile</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public abstract class <span class="strong">AbstractNativeCompileTask</span>
extends <a href="../../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">DefaultTask</a></pre>
<div class="block">Compiles native source files into object files.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.Namer.html" title="class in org.gradle.api">Task.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.html#TASK_ACTION">TASK_ACTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DEPENDS_ON">TASK_DEPENDS_ON</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DESCRIPTION">TASK_DESCRIPTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_GROUP">TASK_GROUP</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_NAME">TASK_NAME</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_OVERWRITE">TASK_OVERWRITE</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_TYPE">TASK_TYPE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#AbstractNativeCompileTask()">AbstractNativeCompileTask</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#compile(org.gradle.api.tasks.incremental.IncrementalTaskInputs)">compile</a></strong>(<a href="../../../../../org/gradle/api/tasks/incremental/IncrementalTaskInputs.html" title="interface in org.gradle.api.tasks.incremental">IncrementalTaskInputs</a>&nbsp;inputs)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#configureSpec(org.gradle.nativeplatform.toolchain.internal.NativeCompileSpec)">configureSpec</a></strong>(org.gradle.nativeplatform.toolchain.internal.NativeCompileSpec&nbsp;spec)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected abstract org.gradle.nativeplatform.toolchain.internal.NativeCompileSpec</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#createCompileSpec()">createCompileSpec</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#getCompilerArgs()">getCompilerArgs</a></strong>()</code>
<div class="block">Additional arguments to provide to the compiler.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#getIncludePaths()">getIncludePaths</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#getIncludes()">getIncludes</a></strong>()</code>
<div class="block">Returns the header directories to be used for compilation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.gradle.language.nativeplatform.internal.incremental.IncrementalCompilerBuilder</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#getIncrementalCompilerBuilder()">getIncrementalCompilerBuilder</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#getMacros()">getMacros</a></strong>()</code>
<div class="block">Macros that should be defined for the compiler.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#getObjectFileDir()">getObjectFileDir</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/file/DirectoryVar.html" title="interface in org.gradle.api.file">DirectoryVar</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#getObjectFileDirectory()">getObjectFileDirectory</a></strong>()</code>
<div class="block">The directory where object files will be generated.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.gradle.internal.operations.logging.BuildOperationLoggerFactory</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#getOperationLoggerFactory()">getOperationLoggerFactory</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#getSource()">getSource</a></strong>()</code>
<div class="block">Returns the source files to be compiled.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/nativeplatform/platform/NativePlatform.html" title="interface in org.gradle.nativeplatform.platform">NativePlatform</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#getTargetPlatform()">getTargetPlatform</a></strong>()</code>
<div class="block">The platform being targeted.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/nativeplatform/toolchain/NativeToolChain.html" title="interface in org.gradle.nativeplatform.toolchain">NativeToolChain</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#getToolChain()">getToolChain</a></strong>()</code>
<div class="block">The tool chain used for compilation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#includes(java.lang.Object)">includes</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;includeRoots)</code>
<div class="block">Add directories where the compiler should search for header files.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#isPositionIndependentCode()">isPositionIndependentCode</a></strong>()</code>
<div class="block">Should the compiler generate position independent code?</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#setCompilerArgs(java.util.List)">setCompilerArgs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;compilerArgs)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#setMacros(java.util.Map)">setMacros</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;macros)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#setObjectFileDir(java.io.File)">setObjectFileDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;objectFileDir)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#setObjectFileDir(org.gradle.api.provider.Provider)">setObjectFileDir</a></strong>(<a href="../../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;? extends <a href="../../../../../org/gradle/api/file/Directory.html" title="interface in org.gradle.api.file">Directory</a>&gt;&nbsp;objectFileDir)</code>
<div class="block">Sets the object file directory to output generated object file by the compilation process via a <a href="../../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider"><code>Provider</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#setPositionIndependentCode(boolean)">setPositionIndependentCode</a></strong>(boolean&nbsp;positionIndependentCode)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#setTargetPlatform(org.gradle.nativeplatform.platform.NativePlatform)">setTargetPlatform</a></strong>(<a href="../../../../../org/gradle/nativeplatform/platform/NativePlatform.html" title="interface in org.gradle.nativeplatform.platform">NativePlatform</a>&nbsp;targetPlatform)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#setToolChain(org.gradle.nativeplatform.toolchain.NativeToolChain)">setToolChain</a></strong>(<a href="../../../../../org/gradle/nativeplatform/toolchain/NativeToolChain.html" title="interface in org.gradle.nativeplatform.toolchain">NativeToolChain</a>&nbsp;toolChain)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#source(java.lang.Object)">source</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;sourceFiles)</code>
<div class="block">Adds a set of source files to be compiled.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.AbstractTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.AbstractTask</h3>
<code>addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, newInputFile, newOutputDirectory, newOutputFile, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractNativeCompileTask()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractNativeCompileTask</h4>
<pre>public&nbsp;AbstractNativeCompileTask()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getIncrementalCompilerBuilder()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIncrementalCompilerBuilder</h4>
<pre>@Inject
protected&nbsp;org.gradle.language.nativeplatform.internal.incremental.IncrementalCompilerBuilder&nbsp;getIncrementalCompilerBuilder()</pre>
</li>
</ul>
<a name="getOperationLoggerFactory()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOperationLoggerFactory</h4>
<pre>@Inject
protected&nbsp;org.gradle.internal.operations.logging.BuildOperationLoggerFactory&nbsp;getOperationLoggerFactory()</pre>
</li>
</ul>
<a name="compile(org.gradle.api.tasks.incremental.IncrementalTaskInputs)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>compile</h4>
<pre>public&nbsp;void&nbsp;compile(<a href="../../../../../org/gradle/api/tasks/incremental/IncrementalTaskInputs.html" title="interface in org.gradle.api.tasks.incremental">IncrementalTaskInputs</a>&nbsp;inputs)</pre>
</li>
</ul>
<a name="configureSpec(org.gradle.nativeplatform.toolchain.internal.NativeCompileSpec)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>configureSpec</h4>
<pre>protected&nbsp;void&nbsp;configureSpec(org.gradle.nativeplatform.toolchain.internal.NativeCompileSpec&nbsp;spec)</pre>
</li>
</ul>
<a name="createCompileSpec()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createCompileSpec</h4>
<pre>protected abstract&nbsp;org.gradle.nativeplatform.toolchain.internal.NativeCompileSpec&nbsp;createCompileSpec()</pre>
</li>
</ul>
<a name="getToolChain()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getToolChain</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="../../../../../org/gradle/nativeplatform/toolchain/NativeToolChain.html" title="interface in org.gradle.nativeplatform.toolchain">NativeToolChain</a>&nbsp;getToolChain()</pre>
<div class="block">The tool chain used for compilation.</div>
</li>
</ul>
<a name="setToolChain(org.gradle.nativeplatform.toolchain.NativeToolChain)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setToolChain</h4>
<pre>public&nbsp;void&nbsp;setToolChain(<a href="../../../../../org/gradle/nativeplatform/toolchain/NativeToolChain.html" title="interface in org.gradle.nativeplatform.toolchain">NativeToolChain</a>&nbsp;toolChain)</pre>
</li>
</ul>
<a name="getTargetPlatform()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTargetPlatform</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/nativeplatform/platform/NativePlatform.html" title="interface in org.gradle.nativeplatform.platform">NativePlatform</a>&nbsp;getTargetPlatform()</pre>
<div class="block">The platform being targeted.</div>
</li>
</ul>
<a name="setTargetPlatform(org.gradle.nativeplatform.platform.NativePlatform)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTargetPlatform</h4>
<pre>public&nbsp;void&nbsp;setTargetPlatform(<a href="../../../../../org/gradle/nativeplatform/platform/NativePlatform.html" title="interface in org.gradle.nativeplatform.platform">NativePlatform</a>&nbsp;targetPlatform)</pre>
</li>
</ul>
<a name="isPositionIndependentCode()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPositionIndependentCode</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;boolean&nbsp;isPositionIndependentCode()</pre>
<div class="block">Should the compiler generate position independent code?</div>
</li>
</ul>
<a name="setPositionIndependentCode(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPositionIndependentCode</h4>
<pre>public&nbsp;void&nbsp;setPositionIndependentCode(boolean&nbsp;positionIndependentCode)</pre>
</li>
</ul>
<a name="getObjectFileDirectory()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getObjectFileDirectory</h4>
<pre><a href="../../../../../org/gradle/api/tasks/OutputDirectory.html" title="annotation in org.gradle.api.tasks">@OutputDirectory</a>
public&nbsp;<a href="../../../../../org/gradle/api/file/DirectoryVar.html" title="interface in org.gradle.api.file">DirectoryVar</a>&nbsp;getObjectFileDirectory()</pre>
<div class="block">The directory where object files will be generated.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.1</dd></dl>
</li>
</ul>
<a name="getObjectFileDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getObjectFileDir</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getObjectFileDir()</pre>
</li>
</ul>
<a name="setObjectFileDir(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setObjectFileDir</h4>
<pre>public&nbsp;void&nbsp;setObjectFileDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;objectFileDir)</pre>
</li>
</ul>
<a name="setObjectFileDir(org.gradle.api.provider.Provider)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setObjectFileDir</h4>
<pre>public&nbsp;void&nbsp;setObjectFileDir(<a href="../../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;? extends <a href="../../../../../org/gradle/api/file/Directory.html" title="interface in org.gradle.api.file">Directory</a>&gt;&nbsp;objectFileDir)</pre>
<div class="block">Sets the object file directory to output generated object file by the compilation process via a <a href="../../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider"><code>Provider</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>objectFileDir</code> - the object file directory provider to use</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.1</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html#setObjectFileDir(java.io.File)"><code>setObjectFileDir(File)</code></a></dd></dl>
</li>
</ul>
<a name="getIncludes()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIncludes</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>(<a href="../../../../../org/gradle/api/tasks/Internal.html#value()">value</a>="The paths for include directories are tracked via the includePaths property, the contents are tracked via discovered inputs")
public&nbsp;<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getIncludes()</pre>
<div class="block">Returns the header directories to be used for compilation.</div>
</li>
</ul>
<a name="getIncludePaths()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIncludePaths</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
protected&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getIncludePaths()</pre>
</li>
</ul>
<a name="includes(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>includes</h4>
<pre>public&nbsp;void&nbsp;includes(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;includeRoots)</pre>
<div class="block">Add directories where the compiler should search for header files.</div>
</li>
</ul>
<a name="getSource()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSource</h4>
<pre><a href="../../../../../org/gradle/api/tasks/InputFiles.html" title="annotation in org.gradle.api.tasks">@InputFiles</a>
public&nbsp;<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getSource()</pre>
<div class="block">Returns the source files to be compiled.</div>
</li>
</ul>
<a name="source(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>source</h4>
<pre>public&nbsp;void&nbsp;source(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;sourceFiles)</pre>
<div class="block">Adds a set of source files to be compiled. The provided sourceFiles object is evaluated as per <a href="../../../../../org/gradle/api/Project.html#files(java.lang.Object...)"><code>Project.files(Object...)</code></a>.</div>
</li>
</ul>
<a name="getMacros()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMacros</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getMacros()</pre>
<div class="block">Macros that should be defined for the compiler.</div>
</li>
</ul>
<a name="setMacros(java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMacros</h4>
<pre>public&nbsp;void&nbsp;setMacros(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;macros)</pre>
</li>
</ul>
<a name="getCompilerArgs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCompilerArgs</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getCompilerArgs()</pre>
<div class="block">Additional arguments to provide to the compiler.</div>
</li>
</ul>
<a name="setCompilerArgs(java.util.List)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setCompilerArgs</h4>
<pre>public&nbsp;void&nbsp;setCompilerArgs(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;compilerArgs)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../org/gradle/language/nativeplatform/tasks/AbstractNativePCHCompileTask.html" title="class in org.gradle.language.nativeplatform.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html" target="_top">Frames</a></li>
<li><a href="AbstractNativeCompileTask.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
